---
title: About Me
resources:
  - name: profile
    src: "images/profile.jpg"
    params:
      credits: "[Angelina Litvin](https://unsplash.com/@linalitvina) on [Unsplash](https://unsplash.com/s/photos/writing)"
---

Hi, I'm Robert. On my private blog I write about everything that comes to my mind, but mainly about topics from the Linux and open source world. I'm a Linux Engineer, open source enthusiast and a self-hosting geek.

My Linux journey began almost 10 years ago, for more than half of them maintaining and managing Linux server deployments in professional environments is my daily business.

---

## Experience

{{< columns size=small >}}
**[ownCloud](https://owncloud.com/)**\
System Administrator\
May 2019

<--->

ownCloud is an open-source file sync, share and content collaboration software. As a System Administrator at ownCloud I'm responsible for the operation and availability of the company infrastructure. That also including the Continuous Integration platform based on Drone CI which is a fundamental component for the development of our products.
{{< /columns >}}

{{< columns size=small >}}
**[Schwarz IT](https://it.schwarz/en)**\
Linux Engineer\
Oct 2017 - Apr 2019

<--->

The Schwarz IT is the central IT service provider of the Schwarz Group where the main customers are the two retail divisions Lidl and Kaufland. During my work as part of the Linux Server team, one challenge was to design a test-driven infrastructure environment using Ansible and Ansible Tower for more than 4.000 Linux servers in three different data centers to replace the existing Puppet configuration management.
{{< /columns >}}

{{< columns size=small >}}
**Kaufland**\
First Level Support\
Jul 2013 - Aug 2014

<--->

While working in the First Level Support Team of the Kaufland distribution center of Barsinghausen, the main task was to provide support for all problems related to the soft- and hardware environment of the employees and the retail ERP solution (SAP).
{{< /columns >}}

---

## Education

{{< columns size=small >}}
**BS Business Informatics**\
DHBW Baden-Wuerttemberg\
Sep 2014 - Sep 2017

<--->

Bachelor thesis: "Selection and prototypical implementation of a configuration management solution for Linux."

{{< /columns >}}

{{< columns size=small >}}
**IT specialist**\
IHK Cottbus\
Sep 2010 - Jun 2013

<--->

{{< /columns >}}

---

## Skills

{{< columns >}}

## Operations

<!-- prettier-ignore-start -->
<!-- spellchecker-disable -->
{{% progress title=Linux value=90 icon=geeklab_tux %}}
{{% progress title=Ansible value=100 icon=geeklab_ansible %}}
{{% progress title=Terraform value=80 icon=geeklab_terraform %}}
{{% progress title=Docker value=80 icon=geeklab_docker %}}
{{% progress title=Kubernetes value=15 icon=geeklab_kubernetes %}}
<!-- spellchecker-enable -->
<!-- prettier-ignore-end -->

<--->

## Development

<!-- prettier-ignore-start -->
<!-- spellchecker-disable -->
{{% progress title=Python value=90 icon=geeklab_python %}}
{{% progress title=Golang value=70 icon=geeklab_golang %}}
<!-- spellchecker-enable -->
<!-- prettier-ignore-end -->

{{< /columns >}}

---

## Contact

<!-- prettier-ignore-start -->
<!-- spellchecker-disable -->
{{< boxes "contact" >}}
{{< box size=large title=E-Mail icon=gblog_email >}}mail [ett] thegeeklab.de{{< /box >}}
{{< box size=large title=Matrix icon=gblog_matrix >}}[@xoxys:rknet.org](https://matrix.to/#/@xoxys:rknet.org){{< /box >}}
{{< box size=large title=XMPP icon=gblog_xmpp >}}xoxys\@trashserver.net{{< /box >}}
{{< box size=large title=Mastodon icon=gblog_mastodon >}}[@xoxys@social.tchncs.de](https://social.tchncs.de/@xoxys){{< /box >}}
{{< box size=large title=GitHub icon=gblog_github >}}[github.com/xoxys](https://github.com/xoxys){{< /box >}}
{{< box size=large title=Gitea icon=gblog_gitea >}}[gitea.rknet.org/xoxys](https://gitea.rknet.org/xoxys){{< /box >}}
{{< /boxes >}}
<!-- spellchecker-enable -->
<!-- prettier-ignore-end -->
