---
title: "Color palettes on Game Boy Color and Advance"
date: 2020-09-15T21:45:00+02:00
aliases:
  - /posts/color-palettes-on-gbc-and-gba/
authors:
  - robert-kaussow
tags:
  - Gaming
  - Hardware
  - Today I learned
resources:
  - name: feature
    src: "images/feature.jpg"
    params:
      anchor: Center
      credits: >
        [Lorenzo Herrera](https://unsplash.com/@lorenzoherrera) on
        [Unsplash](https://unsplash.com/s/photos/gameboy)
  - name: color-palette
    src: "images/color-palette-example.jpg"
    title: Comparison between default color (left) and gray scale (right).
---

In my last article about [modernizing a Game Boy Advance](/posts/modernize-a-game-boy-advance/), one of my complaints was the ugly coloring of old Game Boy Classic games and I thought about buying an additional Game Boy Classic. But first I wanted to check if there was a mod for the Game Boy Advance to fix this problem.

<!--more-->

Well, what I found out after a short research was mind-blowing for me! The gorgeous engineers at Nintendo had already integrated a function into the Game Boy Color and the Game Boy Advance to choose between [12 color palettes](https://www.nintendo.com/consumer/systems/gameboyadvance/colorchange.jsp).

<!-- markdownlint-capture -->
<!-- markdownlint-disable MD033 -->

| Color                                                                                             | Shortcut  |
| ------------------------------------------------------------------------------------------------- | --------- |
| BROWN <svg width="20" height="12"><rect width="20" height="12" style="fill:#fac08f" /></svg>      | UP        |
| BLUE <svg width="20" height="12"><rect width="20" height="12" style="fill:#8db3e2" /></svg>       | LEFT      |
| PASTEL <svg width="20" height="12"><rect width="20" height="12" style="fill:#e5e0ec" /></svg>     | DOWN      |
| GREEN <svg width="20" height="12"><rect width="20" height="12" style="fill:#76923c" /></svg>      | RIGHT     |
| RED <svg width="20" height="12"><rect width="20" height="12" style="fill:#c0504d" /></svg>        | UP + A    |
| DARK BLUE <svg width="20" height="12"><rect width="20" height="12" style="fill:#366092" /></svg>  | LEFT + A  |
| ORANGE <svg width="20" height="12"><rect width="20" height="12" style="fill:#f79646" /></svg>     | DOWN + A  |
| DARK GREEN <svg width="20" height="12"><rect width="20" height="12" style="fill:#4f6128" /></svg> | RIGHT + A |
| DARK BROWN <svg width="20" height="12"><rect width="20" height="12" style="fill:#974806" /></svg> | UP + B    |
| GRAY SCALE <svg width="20" height="12"><rect width="20" height="12" style="fill:#bfbfbf" /></svg> | LEFT + B  |
| YELLOW <svg width="20" height="12"><rect width="20" height="12" style="fill:#ffe694" /></svg>     | DOWN + B  |
| NEGATIVE <svg width="20" height="12"><rect width="20" height="12" style="fill:#ffffff" /></svg>   | RIGHT + B |

<!-- markdownlint-restore -->

<!-- spellchecker-disable -->

{{< img name="color-palette" >}}

<!-- spellchecker-enable -->

Today I learned about a great feature that I've never known in all the years of my childhood. But there is still a small downside: Changing the color palette works only for GB classic games.
