---
title: "How to modernize a Game Boy"
date: 2020-09-13T23:45:00+02:00
aliases:
  - /posts/modernize-a-game-boy-advance/
authors:
  - robert-kaussow
tags:
  - Gaming
  - Hardware
resources:
  - name: feature
    src: "images/feature.jpg"
    params:
      anchor: Center
      credits: >
        [Lorenzo Herrera](https://unsplash.com/@lorenzoherrera) on
        [Unsplash](https://unsplash.com/s/photos/gameboy)
  - name: parts
    src: "images/parts-overview.jpg"
    title: Overview of all modding parts.
  - name: soldering
    src: "images/soldering.jpg"
    title: Soldered brightness control and audio mod kit.
  - name: comparison
    src: "images/gb-gba-comparison.jpg"
    title: Comparison between GB games (left) and GBA games (right).
---

Sometimes it is quite nice to revel in memories. Back to the good old days of our childhood where life was so easy. At least I have those retro feelings from time to time. This time I decided to follow these feelings and take back a part of my childhood. I wanted a Game Boy again. A real Game Boy, not a fake one or any of those emulator handhelds.

<!--more-->

The first consideration was which model to choose: Game Boy (GB), Game Boy Color (GBC) or Game Boy Advance/SP (GBA)? From a practical point of view, the Game Boy Advance is the most worthwhile. It is backwards compatible and can play GB and GBC games as well as GBA games. I've never been a fan of the form factor of the SP version, so I decided to go for the classic model. Regardless of my retro feelings, the Game Boy has its weaknesses, which are simply no longer up to date. Even if you can argue that this is part of the feeling, that's a bit too much for me.

<!-- spellchecker-disable -->

{{< img name="parts" >}}

<!-- spellchecker-enable -->

Fortunately the Game Boy is still very popular and has a strong modding community. After some research I found a sufficient IPS display mod as well as a replacement case that doesn't need modifications to fit the new display. As most users were also very impressed by an audio mod kit I also wanted to give it a try. There are a hand full of different mod kit providers out there and a lot more if you want to look at eBay or Aliexpress. But as some users noticed a lot of quality ups and downs I decided to go with the parts from retrosix.

After a few days all parts arrived and I could finally start. The updates are all very easy to install. The display doesn't require any soldering. Optionally brightness control cables could be soldered to the shoulder buttons. The audio mod kit includes an amplifier and a new speaker. The installation in general is simple, but since the soldering points are sometimes very small, maybe this should not be your first soldering experience.

<!-- spellchecker-disable -->

{{< img name="soldering" >}}

<!-- spellchecker-enable -->

After about one hour all parts were installed and cleaned and the Game Boy was reassembled. Time for a first test. What can I say, the effort was definitely worth it, the case feels valuable and all buttons have a good reaction and haptic feedback. Well, the display is the real star. Everything is bright and crisp and the colors are nice and natural.

<!-- spellchecker-disable -->

{{< img name="comparison" >}}

<!-- spellchecker-enable -->

At the end I'm very happy with my "new" handheld but there are also some downsides I wanted to talk about:

- For me, the audio mod kit was a bad investment and I had to remove the amplifier board after a few hours of gaming. I agree the sound of the original speaker may be a bit flat and isn't very loud. But thanks to the amplifier, the new speaker constantly screams into my face... For me, it was impossible to find a sufficient and comfortable volume level. In the lower volume range the wheel jumped from still to loud to completely silent and could not be controlled precisely. Personally, the default maximum volume level is totally fine but that might be a personal preference.

- To buy original Game Boy games could be a real challenge these days. I'm not really surprised about the prices, especially for rare games but there seems to be a lot fake games or replications out there. If you want to go with replications to save a bit money is up to you but if you just want authentic/original cartridges you have to be very careful.

- While I really love playing all GBA and GBC games with the GBA, I don't really like the look of the classic GB games because of the ugly color scheme. This has nothing to do with the IPS screen directly, as far as I remember, this was already the case with the original GBC and GBA. The color scheme of some games really hurts my eyes and makes it almost impossible to play them. ~~Maybe I still need a Game Boy classic after all.~~ There is already a [solution](/posts/color-palettes-on-gbc-and-gba/)!
